{% include 'base.html' %}
{% load static %}
{% block content %}
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>

<div class="container">
    <br>
    <br>
    <br>
    <div class="row">
        <div class="col-6">
            <div class="card text-dark bg-white mb-3 mt-5 sticky-top" style="position: fixed;">
                <div class="card-body">
                    <h3 class="card-title">Search Question</h3>
                    <form id="myform">
                    <input class="form-control form-control-lg card-title" type="search" id="question" placeholder="input">
                    </form>
                </div>
            </div>
        </div>
        <div class="col-6">
            <div id= "message">
                <!-- {% for question in questions %}
                <div class="card mb-4 mx-5 entry" style="width: 18rem;">
                    <div class="card-body">
                      <div class="row">
                        <div class="col"> 
                        
                        </div>
                      </div>
                    
            
                      <p class="card-text">{{ question.question }}</p>
                     
                    </div>
                  </div>
                  {% endfor %} -->
                </div>
     
        </div>
    </div>
</div>

<script>
  $(function() {
      $('#question').keyup(function() {
          var keyword = $('#question').val();
          $.ajax({
              method: 'GET',
              url: 'list/',
              dataType: 'json',
              success: function(data) {
                  $('#message').empty();
                  var html = '';
                  console.log("haiiiiiii")
                  if (data.length === 0) {
                      html += '<h3 class="txt-setting">No question</h3>';
                      $('#message').append(html);
                  } else {
                      for (var i = 0; i < data.length; i++) {
                          if ((data[i]['question']).includes(keyword)) {
                              html += ' <div class="card mb-4 mx-5 entry" style="width: 18rem;">';
                              html = html + '<p>' + data[i]['question'] + '</p>' + "</div>";
                          }
                      }
                      $('#message').append(html);
                      // console.log(data);
                  }
                  // console.log(data);
                  // console.log(data.length);
              }
          })
      })
  })
  
</script>


{% endblock content %}
